Subject: [Tsvwg] Re: Protocol Action: Increasing TCP's Initial Window to Proposed Standard

From: Sally Floyd <[email-masked]>
Date: Wed, 28 Aug 2002 17:04:02 -0700

>  *> The IESG has approved the Internet-Draft 'Increasing TCP's Initial
>  *> Window' <draft-ietf-tsvwg-initwin-04.txt> as a Proposed Standard,
>  *> obsoleting RFC 2414. This document also updates RFC 2598.
>
>Are you sure it updates RFC 2598, the EF PIB?  It does not reference
>2598, and 2598 was itself obsoleted by 3246.
>
>Shouldn't it also update 793, 2581, and 1122?

I don't know where the list of "updated documents" came from in
this case, but in addition to obsoleting RFC 2414, the document
updates 2581.  I assume that whoever said "2598" should simply have
said "2581" instead.

It seems fine to me for it to be listed as updating 793 and 1122
as well.  But, as Fred observed, there are many other documents
updating 793 and 1122 that aren't so listed - maybe the guidelines
need to be more clear.

>Note that the text has a reference to RFC 2481, but there is an
>entry in the reference list for RFC 2581; are these the same?

Nope.  The text referenced RFC 2481 when discussing ECN.  RFC 2481
is ECN; RFC 2581 is TCP Congestion Control.  In its last 48-hour
pass through the RFC Editor, we (or the RFC editor) can update the
reference to RFC 2481 to refer to RFC 3168 instead.

>Finally, c'mon, friends, proper academic conduct if nothing else
>calls for a reference to RFC 793.

This wasn't an academic paper, it was an internet draft.  This
document cites RFC 2581, and RFC 2581 cites RFC 1122 as standardizing
these algorithms, so that seems fine by me.  Though we (or the RFC
Editor) could certainly add a sentence about RFC 1122 and
RFC 793 for clarity.

- Sally

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Harald Alvestrand <[email-masked]>
Date: Thu, 29 Aug 2002 13:12:56 +0200

FWIW.....

I was just messing around with a script to follow reference chains in RFCs 
and internet-drafts, which made doing the attached rather easy.
Here is the list of RFCs (that my script could find) that are referred to 
by RFCs referred to by the RFCs referred to (recursion, twice) by the draft 
in question.

That's 704 RFCs.

It WOULD be nice if we could compress the relationships between all the 
relevant documents into the "Obsoletes" and "Updates" headers on the front 
page, but it's likely to be an uphill battle, and possibly not worth the 
effort.

I have no strong opinion of the question in hand.
Once the author and the RFC Editor agree, author's 48 hours seems like a 
fine time to set these headers to what they should be.

                    Harald

Sample
Referer  RFC    Normative? RFC status
--------------------------------------
rfc2780:RFC 758:unknown:HISTORIC
rfc2637:RFC 768:unknown:STANDARD
rfc1521:RFC 783:unknown:UNKNOWN
rfc2780:RFC 790:unknown:HISTORIC
rfc2481:RFC 791:unknown:STANDARD
rfc1349:RFC 792:unknown:STANDARD
rfc2018:RFC 793:unknown:STANDARD
rfc2581:RFC 813:unknown:UNKNOWN
draft-ietf-tsvwg-initwin-04:RFC 821:unknown:STANDARD
rfc1945:RFC 822:unknown:STANDARD
rfc2309:RFC 896:unknown:UNKNOWN
rfc2018:RFC 908:unknown:EXPERIMENTAL
rfc1521:RFC 934:unknown:UNKNOWN
rfc1349:RFC 950:unknown:STANDARD
rfc1945:RFC 959:unknown:STANDARD
rfc1945:RFC 977:unknown:PROPOSED STANDARD
rfc2780:RFC 988:unknown:UNKNOWN
rfc2018:RFC 998:unknown:EXPERIMENTAL
rfc1349:RFC 1009:unknown:HISTORIC
rfc1738:RFC 1034:unknown:STANDARD
rfc1945:RFC 1036:unknown:UNKNOWN
rfc2018:RFC 1045:unknown:EXPERIMENTAL
rfc1349:RFC 1046:unknown:UNKNOWN
rfc1521:RFC 1049:unknown:HISTORIC
rfc1349:RFC 1060:unknown:HISTORIC
rfc2401:RFC 1108:unknown:HISTORIC
draft-ietf-tsvwg-initwin-04:RFC 1122:unknown:STANDARD
rfc1945:RFC 1123:unknown:STANDARD
rfc2481:RFC 1141:unknown:INFORMATIONAL
rfc2780:RFC 1144:unknown:PROPOSED STANDARD
rfc1521:RFC 1154:unknown:EXPERIMENTAL
draft-ietf-tsvwg-initwin-04:RFC 1191:unknown:DRAFT STANDARD
rfc1349:RFC 1195:unknown:PROPOSED STANDARD
rfc1455:RFC 1245:unknown:INFORMATIONAL
rfc1455:RFC 1246:unknown:INFORMATIONAL
rfc1349:RFC 1247:unknown:DRAFT STANDARD
rfc1349:RFC 1248:unknown:PROPOSED STANDARD
rfc2003:RFC 1254:unknown:INFORMATIONAL
rfc1349:RFC 1256:unknown:PROPOSED STANDARD
rfc2409:RFC 1321:unknown:INFORMATIONAL
rfc2018:RFC 1323:unknown:PROPOSED STANDARD
rfc2637:RFC 1334:unknown:PROPOSED STANDARD
rfc1521:RFC 1340:unknown:HISTORIC
rfc1521:RFC 1341:unknown:PROPOSED STANDARD
rfc1521:RFC 1342:unknown:PROPOSED STANDARD
rfc1521:RFC 1343:unknown:INFORMATIONAL
rfc1521:RFC 1344:unknown:INFORMATIONAL
rfc1521:RFC 1345:unknown:INFORMATIONAL
rfc2481:RFC 1349:unknown:PROPOSED STANDARD
rfc1521:RFC 1421:unknown:PROPOSED STANDARD
rfc2408:RFC 1422:unknown:PROPOSED STANDARD
rfc1521:RFC 1426:unknown:PROPOSED STANDARD
rfc2003:RFC 1435:unknown:INFORMATIONAL
rfc1945:RFC 1436:unknown:INFORMATIONAL
rfc2481:RFC 1455:unknown:EXPERIMENTAL
rfc1945:RFC 1521:unknown:DRAFT STANDARD
rfc1521:RFC 1522:unknown:DRAFT STANDARD
rfc1590:RFC 1543:unknown:INFORMATIONAL
rfc1945:RFC 1590:unknown:INFORMATIONAL
rfc1738:RFC 1625:unknown:INFORMATIONAL
rfc1945:RFC 1630:unknown:INFORMATIONAL
rfc2475:RFC 1633:unknown:INFORMATIONAL
rfc2637:RFC 1661:unknown:STANDARD
rfc1945:RFC 1700:unknown:HISTORIC
rfc3168:RFC 1701:unknown:INFORMATIONAL
rfc3168:RFC 1702:unknown:INFORMATIONAL
rfc2401:RFC 1704:unknown:INFORMATIONAL
rfc1808:RFC 1736:unknown:INFORMATIONAL
rfc1945:RFC 1737:unknown:INFORMATIONAL
rfc1945:RFC 1738:unknown:PROPOSED STANDARD
rfc1945:RFC 1808:unknown:PROPOSED STANDARD
rfc2003:RFC 1812:unknown:PROPOSED STANDARD
rfc2402:RFC 1826:unknown:PROPOSED STANDARD
rfc2406:RFC 1827:unknown:PROPOSED STANDARD
rfc2003:RFC 1853:unknown:INFORMATIONAL
rfc1945:RFC 1866:unknown:HISTORIC
rfc2408:RFC 1875:unknown:INFORMATIONAL
rfc2780:RFC 1881:unknown:INFORMATIONAL
rfc2402:RFC 1883:unknown:PROPOSED STANDARD
draft-ietf-tsvwg-initwin-04:RFC 1945:unknown:INFORMATIONAL
rfc2408:RFC 1949:unknown:EXPERIMENTAL
rfc2637:RFC 1994:unknown:DRAFT STANDARD
rfc2414:RFC 2001:unknown:PROPOSED STANDARD
rfc2003:RFC 2002:unknown:PROPOSED STANDARD
rfc3168:RFC 2003:unknown:PROPOSED STANDARD
rfc2414:RFC 2018:unknown:PROPOSED STANDARD
draft-ietf-tsvwg-initwin-04:RFC 2068:unknown:PROPOSED STANDARD
rfc2408:RFC 2093:unknown:EXPERIMENTAL
rfc2401:RFC 2094:unknown:EXPERIMENTAL
rfc2409:RFC 2104:unknown:INFORMATIONAL
draft-ietf-tsvwg-initwin-04:RFC 2119:unknown:BEST CURRENT PRACTICE
rfc2409:RFC 2144:unknown:INFORMATIONAL
rfc2475:RFC 2205:unknown:PROPOSED STANDARD
rfc2637:RFC 2284:unknown:PROPOSED STANDARD
draft-ietf-tsvwg-initwin-04:RFC 2309:unknown:INFORMATIONAL
rfc2408:RFC 2316:unknown:INFORMATIONAL
rfc2780:RFC 2365:unknown:BEST CURRENT PRACTICE
rfc2780:RFC 2373:unknown:PROPOSED STANDARD
rfc2780:RFC 2375:unknown:INFORMATIONAL
rfc2401:RFC 2393:unknown:PROPOSED STANDARD
rfc2407:RFC 2394:unknown:INFORMATIONAL
rfc2407:RFC 2395:unknown:INFORMATIONAL
rfc3168:RFC 2401:unknown:PROPOSED STANDARD
rfc2481:RFC 2402:unknown:PROPOSED STANDARD
rfc2402:RFC 2403:unknown:PROPOSED STANDARD
rfc2402:RFC 2404:unknown:PROPOSED STANDARD
rfc2406:RFC 2405:unknown:PROPOSED STANDARD
rfc2481:RFC 2406:unknown:PROPOSED STANDARD
rfc3168:RFC 2407:unknown:PROPOSED STANDARD
rfc3168:RFC 2408:unknown:PROPOSED STANDARD
rfc3168:RFC 2409:unknown:PROPOSED STANDARD
rfc2407:RFC 2410:unknown:PROPOSED STANDARD
rfc2401:RFC 2411:unknown:INFORMATIONAL
rfc2401:RFC 2412:unknown:INFORMATIONAL
draft-ietf-tsvwg-initwin-04:RFC 2414:unknown:EXPERIMENTAL
draft-ietf-tsvwg-initwin-04:RFC 2415:unknown:INFORMATIONAL
draft-ietf-tsvwg-initwin-04:RFC 2416:unknown:INFORMATIONAL
rfc2474:RFC 2434:unknown:BEST CURRENT PRACTICE
rfc2407:RFC 2451:unknown:PROPOSED STANDARD
rfc2474:RFC 2460:unknown:DRAFT STANDARD
rfc2780:RFC 2461:unknown:DRAFT STANDARD
rfc2780:RFC 2463:unknown:DRAFT STANDARD
rfc2481:RFC 2474:unknown:PROPOSED STANDARD
rfc2884:RFC 2475:unknown:INFORMATIONAL
rfc3042:RFC 2481:unknown:EXPERIMENTAL
rfc2780:RFC 2507:unknown:PROPOSED STANDARD
rfc2581:RFC 2525:unknown:INFORMATIONAL
draft-ietf-tsvwg-initwin-04:RFC 2581:unknown:PROPOSED STANDARD
rfc2581:RFC 2582:unknown:EXPERIMENTAL
rfc2884:RFC 2597:unknown:PROPOSED STANDARD
rfc3168:RFC 2637:unknown:INFORMATIONAL
rfc3168:RFC 2661:unknown:PROPOSED STANDARD
rfc3168:RFC 2702:unknown:INFORMATIONAL
rfc3168:RFC 2780:unknown:BEST CURRENT PRACTICE
rfc3042:RFC 2884:unknown:INFORMATIONAL
rfc3168:RFC 2983:unknown:INFORMATIONAL
draft-ietf-tsvwg-initwin-04:RFC 2988:unknown:PROPOSED STANDARD
draft-ietf-tsvwg-initwin-04:RFC 3042:unknown:PROPOSED STANDARD
draft-ietf-tsvwg-initwin-04:RFC 3168:unknown:PROPOSED STANDARD